<!-- <ion-header>
  <ion-toolbar class="color-black">
    <ion-icon style="zoom:1.5" color="secondary" name="arrow-back" (click)="back()" slot="start"></ion-icon>
    <ion-title color="secondary">Send Email Broadcast</ion-title>
    <ion-icon slot="end" size="large" color="secondary" name="home" routerLink="/tabs/tab1"></ion-icon>
  </ion-toolbar>
</ion-header> -->
<header title="Send Email Broadcast"></header>

<ion-content>
  <!-- <form [formGroup]="sendBroadcast" class="form"> -->
    <ion-item>
      <ion-label class="heading_font" style="font-size: 26px !important" position="stacked"><strong>Subject</strong></ion-label>
      <ion-input placeholder="Title" (ionFocus)="ionFocus($event)" [(ngModel)]="subject"></ion-input>
    </ion-item>
    <div class="error-div">
      <p ion-text class="text08" *ngIf="subject_error != ''">
        <ion-text color="warning">
          {{subject_error}}
        </ion-text>
      </p>
    </div>
    <ion-item>
      <ion-label class="heading_font"><strong>Message</strong></ion-label>
    </ion-item>
    <quill-editor class="content-editor" [(ngModel)]="message" [placeholder]="''">
    </quill-editor>
    <div class="error-div">
      <p ion-text class="text08" *ngIf="message_error != ''">
        <ion-text color="warning">
          {{message_error}}
        </ion-text>
      </p>
    </div>
    <ion-item>
      <ion-label class="heading_font"><strong>Select Contact Group</strong></ion-label>
    </ion-item>
    <ion-list mode="md">
      <ion-radio-group value="radio_check" [(ngModel)]="radio_check">
        <ion-item *ngFor="let item of contact_groups">
          <ion-label>{{item.title}}</ion-label>
          <ion-radio slot="start" value="{{item.id}}"></ion-radio>
        </ion-item>
      </ion-radio-group>
    </ion-list>
    <div class="error-div">
      <p ion-text class="text08" *ngIf="radio_check_error != ''">
        <ion-text color="warning">
          {{radio_check_error}}
        </ion-text>
      </p>
    </div>
    <ion-item>
      <ion-label class="heading_font"><strong>Select Date / Time</strong></ion-label>
    </ion-item>
    <ion-item mode="ios">
      <ion-label>Date</ion-label>
      <ion-datetime display-format="MMM D, YYYY" picker-format="MMM D, YYYY" [min]="myDate" [(ngModel)]="myDate"
        value="1990-02-19" placeholder="Select Date">
      </ion-datetime>
    </ion-item>
    <div class="error-div">
      <p ion-text class="text08" *ngIf="myDate != ''">
        <ion-text color="warning">
          {{myDate_error}}
        </ion-text>
      </p>
    </div>
    <ion-item mode="ios">
      <ion-label>Time</ion-label>
      <ion-datetime display-format="h:mm A" picker-format="h:mm A" [min]="myTime" [(ngModel)]="myTime"
        value="1990-02-19T07:43Z">
      </ion-datetime>
    </ion-item>
    <div class="error-div">
      <p ion-text class="text08" *ngIf="myTime_error != ''">
        <ion-text color="warning">
          {{myTime_error}}
        </ion-text>
      </p>
    </div>
  <!-- </form> -->
</ion-content>
<ion-footer>
  <ion-row padding-vertical>
    <ion-col margin-left margin-right no-padding>
      <ion-button expand="full" (click)="broadcast()">Submit</ion-button>
    </ion-col>
  </ion-row>
</ion-footer>
<div class="loading-container" [ngClass]="{'busy': loaderService?.isBusy}">
  <div class="loading-wrapper-c">
    <div class="backdrop"></div>
    <div class="image">
      </div>
    <img src="assets/img/icon.png" class="loader_img">
    <!-- <img src="assets/img/icon_loader.png" class="loader_img"> -->
    <!-- <img src="assets/img/Spinner.gif" class="loader_img"> -->
  </div>
</div>